#pragma once

//$ SW 2015-9-16: Interface for temperature elements
class ThermoElementInterface
{
public:
	virtual double GetTemperature(const Vector3D& p_loc) const = 0;
	virtual double GetRefTemperature(const Vector3D& p_loc) const = 0;
	virtual double GetTemperatureD(const Vector3D& p_loc) const = 0;
	virtual void SetComputeTemperature(Vector & xgCache) const = 0;
	virtual void SetComputeTemperatureOfFace(Vector & xgCache, int face) const = 0;
};