//#***************************************************************************************
//# filename:     graphicsConstants.h
//# authors:			Johannes Gerstmayr, Yuri Vetyukov      
//# generated:    
//# rewritten:    
//# description:  
//#                       
//# remarks:      
//#
//# Copyright (c) 2003-2018 Johannes Gerstmayr, Linz Center of Mechatronics GmbH, Austrian
//# Center of Competence in Mechatronics GmbH, Institute of Technical Mechanics at the 
//# Johannes Kepler Universitaet Linz, Austria. All rights reserved.
//#
//# This file is part of HotInt.
//# HotInt is free software: you can redistribute it and/or modify it under the terms of 
//# the HOTINT license. See folder 'licenses' for more details.
//#
//# bug reports are welcome!!!
//# WWW:		www.hotint.org
//# email:	bug_reports@hotint.org or support@hotint.org
//#***************************************************************************************

#pragma once

//# definition of colors:
const Vector3D colred(0.8,0.1,0.1);
const Vector3D colred1(0.7,0.3,0.3);
const Vector3D colred2(0.9,0.3,0.3);
const Vector3D colblue(0.1,0.1,0.8);
const Vector3D colblue1(0.1,0.1,0.7);
const Vector3D colblue2(0.3,0.3,0.7);
const Vector3D colblue3(0.5,0.5,1.0);
const Vector3D colgreen(0.1,0.8,0.1);
const Vector3D colbrown(0.5,0.4,0.1);
const Vector3D colblack(0.,0.,0.);
const Vector3D colgrey1(0.1,0.1,0.1);
const Vector3D colgrey2(0.3,0.3,0.3);
const Vector3D colgrey3(0.5,0.5,0.5);
const Vector3D colgrey4(0.7,0.7,0.7);
const Vector3D colgrey5(0.85,0.85,0.85);
const Vector3D colgrey6(0.95,0.95,0.95);

const Vector3D colwhite(1.0,1.0,1.0);
const Vector3D colcyan(0.42,0.67,0.81);
const Vector3D colmagenta(1.0,0.,0.5);
const Vector3D colyellow(1.0,1.0,0.0);
const Vector3D colorange(1.0,0.5,0.0);